# $Revision: 1.6 $, $Date: 2010/08/19 12:00:45 $
Summary:	OpenSync data synchronization commandline program
Summary(pl.UTF-8):	Programy do synchronizacji danych OpenSync
Name:		osynctool
Version:	0.39
Release:	1
License:	GPL
Group:		Applications
Source0:	http://opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	2fdf7ef8b23c0f948b7bd250da16aa0f
URL:		http://www.opensync.org/
BuildRequires:	cmake
BuildRequires:	libopensync-devel >= 1:0.39
BuildRequires:	pkgconfig
Obsoletes:	msynctool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains commandline programs to use OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera działające z linii poleceń programy do korzystania
ze szkieletu OpenSync.

%prep
%setup -q

%build
mkdir build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# no package yet
rm $RPM_BUILD_ROOT%{_prefix}/etc/bash_completion.d/osynctool.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: osynctool.spec,v $
Revision 1.6  2010/08/19 12:00:45  glen
- release 1

Revision 1.5  2010/08/19 12:00:35  glen
- renamed to osynctool, version 0.39

Revision 1.4  2008/10/21 02:32:44  sls
- BR: pkgconfig

Revision 1.3  2008/10/15 18:02:39  sls
- BR: libopensync-devel >= 1:0.37

Revision 1.2  2008/10/15 17:51:53  sls
- ver. 0.37 (NFY)

Revision 1.1  2008/05/18 06:08:05  aredridel
- added

Revision 1.46  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.44  2006/01/24 10:41:20  qboosh
- pl

Revision 1.43  2006/01/23 12:21:58  wrobell
- proper source link (i hope)

Revision 1.42  2006/01/23 12:19:24  wrobell
- ver. 0.90.18 (gui is going to be distributed as separate software)

Revision 1.36  2005/10/21 23:02:44  qboosh
- no yacc, bison is enough

Revision 1.35  2005/10/06 23:53:45  patrys
- builds with new evolution
- added missing BR:
- tested and works (at least with evolution and T610 phone)
- rel. up

Revision 1.34  2005/02/25 20:56:57  qboosh
- moved BR to preamble

Revision 1.33  2005/02/25 10:19:23  tiwek
- SyncML subpackare req wbxml library

Revision 1.32  2004/12/01 10:19:36  wrobell
- snap 2004-12-01

Revision 1.31  2004/11/06 17:49:42  serek
- more BR.

Revision 1.30  2004/11/06 15:55:00  serek
- make it compatible with rpm ver. 4.3

Revision 1.29  2004/11/06 15:09:36  wrobell
- simplified skipping plugin a bit
- snap 2004-11-06

Revision 1.28  2004/10/28 10:14:57  wrobell
- fixed build requirements

Revision 1.27  2004/10/28 10:00:21  wrobell
- fixed build requirements

Revision 1.26  2004/10/28 01:12:31  wrobell
- fixed md5

Revision 1.25  2004/10/28 01:03:34  wrobell
- snap 20041028 (with working evo 2.0.x plugin)

Revision 1.24  2004/08/07 15:02:21  havner
- rel 4

Revision 1.23  2004/08/06 23:55:48  arekm
- add patch for new bluez-libs (no sdp lib)

Revision 1.22  2004/07/14 20:30:02  qboosh
- fixed build on amd64, ac/am cleanup, added desktop patch
- package header file as -devel subpackage, release 3

Revision 1.21  2004/07/14 18:43:18  havner
- BR: curl-devel

Revision 1.20  2004/06/15 09:08:57  krolik
- evolution plugin works only with Evolution >= 1.4, moved to bcond
- rel. 2

Revision 1.19  2004/06/03 21:57:27  wrobell
- typo

Revision 1.18  2004/06/03 21:55:47  wrobell
- added a note about aux dir

Revision 1.17  2004/06/03 21:54:50  wrobell
- ver. 0.82
- there are some hacks, maybe we can do it better, but let's see how
  authors will react to multisync-install.patch
  also ver. 0.90 is planned,  which will be quite different,
  so maybe solution without hacks is not worth our time

Revision 1.16  2004/04/11 14:11:04  qboosh
- use libsdp from bluez-libs >= 2.6, strict internal deps, .so perms

Revision 1.15  2004/03/27 23:25:20  twittner
- typo

Revision 1.14  2004/03/16 14:08:45  averne
- rel1 for Ac

Revision 1.13  2003/12/03 12:36:13  ankry
- cosmetics

Revision 1.12  2003/12/03 11:22:57  qboosh
- pl for -opie, missing dir, BR: ac,am

Revision 1.11  2003/12/03 10:25:39  wrobell
- ver. 0.81
- opie plugin

Revision 1.10  2003/11/20 15:41:53  wrobell
- evolution static should not be required, now
- rel. 0.4

Revision 1.9  2003/09/04 23:40:17  wrobell
- updated todo

Revision 1.8  2003/09/04 18:22:23  wrobell
- kill mulitsync-multisync naming
- kill glib 1.2.x dependency
- rel. 0.3

Revision 1.7  2003/08/18 10:08:32  ankry
- summaries /descriptions from enclosed templates
- added some Requires
- cleaning

Revision 1.6  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/08/12 06:01:06  ankry
- cosmetics

Revision 1.4  2003/08/12 01:47:30  serek
- work in progress, artur.

Revision 1.3  2003/08/11 13:19:09  serek
- more BR.

Revision 1.2  2003/08/05 17:57:46  wrobell
- added todo

Revision 1.1  2003/08/01 14:44:45  wrobell
- nfy
